import { defineComponent, $prefix, props, setup as _setup } from "@opentiny/vue-common";
import { renderless, api } from "@opentiny/vue-renderless/multi-select-item/vue";
import { iconChevronDown } from "@opentiny/vue-icon";
import Button from "@opentiny/vue-button";
import "@opentiny/vue-theme-mobile/multi-select-item/index.css";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  name: $prefix + "MultiSelectItem",
  components: {
    TinyButton: Button,
    IconChevronDown: iconChevronDown()
  },
  props: [].concat(props, ["option", "divided"]),
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm$option$children;
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    ref: "multiSelectItem",
    staticClass: "tiny-mobile-multi-select-item",
    class: {
      "is-active": _vm.option.active,
      "is-disabled": _vm.option.disabled,
      "tiny-mobile-multi-select-item--divided": _vm.divided,
      "has-children": (_vm$option$children = _vm.option.children) === null || _vm$option$children === void 0 ? void 0 : _vm$option$children.length
    },
    attrs: {
      "aria-disabled": _vm.option.disabled,
      "tabindex": _vm.option.disabled ? null : -1
    },
    on: {
      "click": function click($event) {
        $event.stopPropagation();
        return _vm.handleClick.apply(null, arguments);
      },
      "mousedown": function mousedown($event) {
        $event.stopPropagation();
      }
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-multi-select-item__wrap"
  }, [_c("div", {
    staticClass: "tiny-mobile-multi-select-item__content"
  }, [_vm._l(_vm.option.level, function(i) {
    return _c("span", {
      key: i,
      staticClass: "tiny-mobile-multi-select-item__content-indent"
    });
  }), _vm.option.icon ? _c(_vm.option.icon, {
    tag: "component",
    staticClass: "tiny-svg-size"
  }) : _vm._e(), _vm._t("default", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.option.label))])];
  }, {
    "itemData": _vm.option
  })], 2), _vm.option.hasChild ? _c("span", {
    class: ["tiny-mobile-multi-select-item__suffix-icon"],
    style: {
      transform: _vm.option.expanded && !_vm.slots.suffix ? "rotate(180deg)" : "none"
    },
    on: {
      "click": _vm.toggleExpand
    }
  }, [_vm._t("suffix", function() {
    return [_c("IconChevronDown")];
  })], 2) : _vm._e()])]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobile as default
};
